
import java.io.File;

import java.util.HashMap;
import java.util.Hashtable;
import java.util.Map;
import java.util.Properties;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

public class ClientUtility {
 
    private static Context initialContext;
 
    private static final String PKG_INTERFACES = "org.jboss.ejb.client.naming";
 
    public static Context getInitialContext() throws NamingException {
    	/*
        if (initialContext == null) {
            Properties properties = new Properties();
            properties.put(Context.URL_PKG_PREFIXES, PKG_INTERFACES);
 
            initialContext = new InitialContext(properties);
            
        }*/
    	
    	 final Hashtable<String, String> jndiProperties = new Hashtable<String, String>();
    	 
         //File lFile = new File("jboss-ejb-client.properties");
         //System.out.println(lFile.getAbsolutePath());
         jndiProperties.put(Context.URL_PKG_PREFIXES, "org.jboss.ejb.client.naming");
         try {
            initialContext = new InitialContext(jndiProperties);
             
           } catch (NamingException e) {
             System.out.println(e);
           }
        return initialContext;
    }
}
